Summary:      Gopdit - a simple cut and paste editor for MPEG2-PS files
Name:         gopdit
Group:        Productivity/Multimedia/Video/Editors and Convertors
License:      GPL
#Requires:    
Provides:     gopdit = %{version}
Source0:      http://gopdit.ath.cx/%{name}-%{version}.tar.gz
# Init-Scripts, local configuration files
Source1:      %{name}-%{version}.tar.gz
#
# Patch
URL:          http://gopdit.ath.cx
Packager:     Reinhard Enders
BuildRoot:    /tmp/%{name}-%{version}
%description
gopdit (GOP accurate eDITor) is a simple program that allows you to 
cut and merge MPEG2-PS files at GOP boundaries without reencoding.
It can be used for removing commercials out of tv recordings.
################
# unpack source
################
%prep
%setup -n %{name}-%{version} -a 1
# patches?
# patch -p 1
################
# build
%build
configure --prefix=%{_prefix}
make
################
# install
################
%install
# remove old stuff
if [ "$RPM_BUILD_ROOT" != "/" ]; then
    rm -rf $RPM_BUIL_ROOT
fi
# install in %{build_root}
make DESTDIR=$RPM_BUILD_ROOT install-strip
# move to some other bin (i.e. sbin)
# 
# compress man files
gzip $RPM_BUILD_ROOT/%{_prefix}/man/man?/*
# more installation operations?
################
# clean
################
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
exit 0
################
# preinstall
################
%pre
exit 0
################
# postinstall
################
%post
exit 0
################
# pre-uninstall
################
%preun
exit 0
################
# files
################
%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README ChangeLog
%{_prefix}/bin/*
%{_prefix}/man/*/*
%{_prefix}/share/%{name}
