#ifndef FILEINFO_H
#define FILEINFO_H

/*! 
  \file fileinfo.h
  \brief main interface and operations

  \author R. Enders

  $Revision: 1.2 $
  $Id: fileinfo.h,v 1.2 2006/01/06 12:17:59 reinhard Exp $
  
  Copyright (C) 2004-2006 by Reinhard Enders
  Reinhard.Enders@gmx.de

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  http://www.gnu.org/copyleft/gpl.html

  \include fileinfo.h
*/

#include "config.h"
#include <list>
#include <string>
#include <vector>
#include ".ui/fileinfobase.h"

class PesMgr;

class Fileinfo : public FileinfoDialog
{
    Q_OBJECT
public:
    Fileinfo( QWidget* parent = 0, const char* name = 0,
		 bool modal = TRUE, WFlags fl = 0);
    ~Fileinfo();

public:
    void     showdata(PesMgr& pesmgr);
};


#endif /* FILEINFO_H */
