#ifndef MPEG2OUTPUT_H
#define MPEG2OUTPUT_H

/*! 
  \file mpeg2output.h
  \brief

  \author R. Enders

  $Revision: 1.9 $
  $Id: mpeg2output.h,v 1.9 2006/01/06 12:17:59 reinhard Exp $
  
  Copyright (C) 2004-2006 by Reinhard Enders
  Reinhard.Enders@gmx.de

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  http://www.gnu.org/copyleft/gpl.html

  \include mpeg2output.h

*/


// creating a window for displaying mpeg2

#include <inttypes.h>

extern "C" {
#include "mpeg2dec/mpeg2.h"
#include "videoout.h"
}

class GopditOutput
{
public:
    GopditOutput();
    ~GopditOutput();

//private:
    vo_open_t*    findLibvoDriver(const char* desired_driver);

    vo_instance_t *output;
    vo_open_t     *output_open;
};


#endif // MPEG2OUTPUT_H
