#ifndef TYMGR_H
#define TYMGR_H

/*! 
  \file tymgr.h
  \brief

  \author R. Enders

  $Revision: 1.4 $
  $Id: tymgr.h,v 1.4 2006/01/06 12:18:00 reinhard Exp $
  
  Copyright (C) 2004-2006 by Reinhard Enders
  Reinhard.Enders@gmx.de

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  http://www.gnu.org/copyleft/gpl.html

  \include tymgr.h

*/

#include "pesfilter.h"

/*! 
  extracts mpeg2 video data from a ps file
 */
class TyMgr : public PesFilter
{
public:
    TyMgr(GopditUi& pui,const char* pfilename)
	: PesFilter(pui,pfilename)
    {}

//    ~TyMgr();
    bool   concat(off_t& sb, FILE* out, off_t from, off_t to,
		  unsigned& no_frames, float fps);
    size_t read(uint8_t* ptr, size_t nmemb, bool search_only = false);
};


#endif // TYMGR_H
